Split SparsePolyRing.C in smaller files

27 Feb 2018 18:20 - Anna Maria Bigatti

Status: Closed Start date: 27 Feb 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 3.00 hours

Target version: CoCoALib-0.99600 Spent time: 2.00 hours

Description

The file is now too long.

Split off code for ideals and for involutive operations,

and whatever can be usefully be separated.

(this should make it easier to maintain, and faster to compile)

Related issues:

Related to CoCoALib - Design #572: Split SparsePolyRing.H into two files? Pro... New 14 Jun 2014

Related to CoCoALib - Design #1177: File names: use "SparsePolyOps" prefix fo... Closed 06 Apr 2018

Related to CoCoALib - Design #1184: should BeginIter(RingElem) be in SparsePo... Closed 18 May 2018

History

#1 - 27 Feb 2018 18:21 - Anna Maria Bigatti

- Related to Design #572: Split SparsePolyRing.H into two files? Problem with circular includes. added

#2 - 27 Feb 2018 18:22 - Anna Maria Bigatti

- Category set to Renaming

- Status changed from New to In Progress

- Target version set to CoCoALib-0.99600

- % Done changed from 0 to 60

- Estimated time set to 3.00 h

#3 - 17 May 2018 16:35 - Anna Maria Bigatti

Split SparsePolyIter.H

(no corresponding C file: only class definition and inline functions)

#4 - 17 May 2018 16:39 - Anna Maria Bigatti

- Description updated

#5 - 02 Aug 2018 17:02 - Anna Maria Bigatti

- Related to Design #1177: File names: use "SparsePolyOps" prefix for pertinent files added

#6 - 02 Aug 2018 17:04 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

Effectively solved.  Mostly with SparsePolyOps-xxx files (issue #1177)

#7 - 02 Aug 2018 17:06 - Anna Maria Bigatti

- Related to Design #1184: should BeginIter(RingElem) be in SparsePolyIter or in SparsePolyOps-RingElem? added
